/* src/token.h listes des tokens P10
 *
 * Copyright (C) 2002-2005 David Cortier  <Cesar@ircube.org>
 *                         Romain Bignon  <Progs@ir3.org>
 *                         Benjamin Beret <kouak@kouak.org>
 *
 * site web: http://sf.net/projects/scoderz/
 *
 * Services pour serveur IRC. Support sur IRCoderz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define TOKEN_PRIVMSG "P"
#define TOKEN_PING "G"
#define TOKEN_NICK "N"
#define TOKEN_JOIN "J"
#define TOKEN_PART "L"
#define TOKEN_MODE "M"
#define TOKEN_KICK "K"
#define TOKEN_CREATE "C"
#define TOKEN_QUIT "Q"
#define TOKEN_ACCOUNT "AC"
#define TOKEN_BURST "B"
#define TOKEN_AWAY "A"
#define TOKEN_SERVER "S"
#define TOKEN_SQUIT "SQ"
#define TOKEN_TOPIC "T"
#define TOKEN_KILL "D"
#define TOKEN_WHOIS "W"
#define TOKEN_PASS "PASS"
#define TOKEN_EOB "EB"
#define TOKEN_EOBACK "EA"
#define TOKEN_PONG "Z"
#define TOKEN_WALLOPS "WA"
#define TOKEN_NOTICE "O"
#define TOKEN_SVSMODE "SVSMODE"
#define TOKEN_SVSNICK "SVSNICK"
#define TOKEN_INVITE "I"
#define TOKEN_GLINE "GL"
#define TOKEN_WALLCHOPS "WC"
#define TOKEN_DESTRUCT "DE"
